$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.270-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.270-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'DC6E0EAA425F854CFC9A215521AD0A61829EE5EE7553C7439A17614EDB2A59AD'
  checksumType = 'sha256'
  checksum64 = 'DC6E0EAA425F854CFC9A215521AD0A61829EE5EE7553C7439A17614EDB2A59AD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.270-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
